#define CONFIGURE_INIT
#include "system.h"
#include <stdio.h>
#include <sched.h>
#include "returncode.h"



void* task_A(void* arg) {
 int iteration=0;
 struct timespec delay;
 while(iteration<10)
    {
    printf("Task_A (id=%x)\n",pthread_self());                       
    iteration++;               

    delay.tv_sec=1;
    delay.tv_nsec=0;
    nanosleep(&delay,NULL);
    }
  pthread_exit(NULL);
  return 0;
}

void* task_B(void* arg) {
 int iteration=0;
 struct timespec delay;
 while(iteration<10)
    {
    printf("Task_B (id=%x)\n",pthread_self());                       
    iteration++;               

    delay.tv_sec=1;
    delay.tv_nsec=0;
    nanosleep(&delay,NULL);
    }
  pthread_exit(NULL);
  return 0;
}


void* POSIX_Init(void *argument)
{

 pthread_attr_t attr;
 pthread_t id;
 struct sched_param param;
 int status;

 /* create thread */
 pthread_attr_init(&attr);
 status=pthread_attr_setinheritsched(&attr,PTHREAD_EXPLICIT_SCHED);
 if (status!=0)
  returncode("pthread_attr_setinheritsched",status);
 status=pthread_attr_setschedpolicy(&attr,SCHED_FIFO);
 if (status!=0)
  returncode("pthread_attr_setschedpolicy",status);


// Fill up the following line to set priority for task_A 
 param.sched_priority=******
 status=pthread_attr_setschedparam(&attr,&param);
 if (status!=0)
  returncode("pthread_attr_setschedparam",status);

 status=pthread_create(&id,&attr,task_A,NULL);
 if (status!=0)
  returncode("pthread_create1",status);



// Fill up the following line to set priority for task_B 
 param.sched_priority=******
 status=pthread_create(&id,&attr,task_B,NULL);
 if (status!=0)
  returncode("pthread_create2",status);
 

 pthread_exit(NULL);
 return 0; 
}



